Index: issm/trunk-jpl/src/c/objects/Inputs/DatasetInput.h
===================================================================
--- issm/trunk-jpl/src/c/objects/Inputs/DatasetInput.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/Inputs/DatasetInput.h	(revision 12494)
@@ -37,53 +37,53 @@
 		int    InstanceEnum();
 		Input* SpawnTriaInput(int* indices);
-		Input* PointwiseDivide(Input* inputB){_error_("not implemented yet");};
-		Input* PointwiseMin(Input* inputB){_error_("not implemented yet");};
-		Input* PointwiseMax(Input* inputB){_error_("not implemented yet");};
-		ElementResult* SpawnResult(int step, IssmPDouble time){_error_("not implemented yet");};
-		void AddTimeValues(IssmPDouble* values,int step,IssmPDouble time){_error_("not supported yet");};
+		Input* PointwiseDivide(Input* inputB){_error2_("not implemented yet");};
+		Input* PointwiseMin(Input* inputB){_error2_("not implemented yet");};
+		Input* PointwiseMax(Input* inputB){_error2_("not implemented yet");};
+		ElementResult* SpawnResult(int step, IssmPDouble time){_error2_("not implemented yet");};
+		void AddTimeValues(IssmPDouble* values,int step,IssmPDouble time){_error2_("not supported yet");};
 		void Configure(Parameters* parameters);
 		/*}}}*/
 		/*numeriics: {{{*/
-		void GetInputValue(bool* pvalue){_error_("not implemented yet");};
-		void GetInputValue(int* pvalue){_error_("not implemented yet");};
-		void GetInputValue(IssmPDouble* pvalue){_error_("not implemented yet");};
-		void GetInputValue(IssmPDouble* pvalue,GaussTria* gauss){_error_("not implemented yet");};
-		void GetInputValue(IssmPDouble* pvalue,GaussTria* gauss,IssmPDouble time){_error_("not implemented yet");};
-		void GetInputValue(IssmPDouble* pvalue,GaussPenta* gauss){_error_("not implemented yet");};
+		void GetInputValue(bool* pvalue){_error2_("not implemented yet");};
+		void GetInputValue(int* pvalue){_error2_("not implemented yet");};
+		void GetInputValue(IssmPDouble* pvalue){_error2_("not implemented yet");};
+		void GetInputValue(IssmPDouble* pvalue,GaussTria* gauss){_error2_("not implemented yet");};
+		void GetInputValue(IssmPDouble* pvalue,GaussTria* gauss,IssmPDouble time){_error2_("not implemented yet");};
+		void GetInputValue(IssmPDouble* pvalue,GaussPenta* gauss){_error2_("not implemented yet");};
 		void GetInputValue(IssmPDouble* pvalue,GaussTria* gauss ,int index);
-		void GetInputValue(IssmPDouble* pvalue,GaussPenta* gauss ,int index){_error_("not implemented yet");};
-		void GetInputDerivativeValue(IssmPDouble* derivativevalues, IssmPDouble* xyz_list, GaussTria* gauss){_error_("not implemented yet");};
-		void GetInputDerivativeValue(IssmPDouble* derivativevalues, IssmPDouble* xyz_list, GaussPenta* gauss){_error_("not implemented yet");};
-		void GetInputAverage(IssmPDouble* pvalue){_error_("not implemented yet");};
-		void GetVxStrainRate2d(IssmPDouble* epsilonvx,IssmPDouble* xyz_list, GaussTria* gauss){_error_("not implemented yet");};
-		void GetVyStrainRate2d(IssmPDouble* epsilonvy,IssmPDouble* xyz_list, GaussTria* gauss){_error_("not implemented yet");};
-		void GetVxStrainRate3d(IssmPDouble* epsilonvx,IssmPDouble* xyz_list, GaussPenta* gauss){_error_("not implemented yet");};
-		void GetVyStrainRate3d(IssmPDouble* epsilonvy,IssmPDouble* xyz_list, GaussPenta* gauss){_error_("not implemented yet");};
-		void GetVzStrainRate3d(IssmPDouble* epsilonvz,IssmPDouble* xyz_list, GaussPenta* gauss){_error_("not implemented yet");};
-		void GetVxStrainRate3dPattyn(IssmPDouble* epsilonvx,IssmPDouble* xyz_list, GaussPenta* gauss){_error_("not implemented yet");};
-		void GetVyStrainRate3dPattyn(IssmPDouble* epsilonvy,IssmPDouble* xyz_list, GaussPenta* gauss){_error_("not implemented yet");};
-		void ChangeEnum(int newenumtype){_error_("not implemented yet");};
-		void SquareMin(IssmPDouble* psquaremin, bool process_units,Parameters* parameters){_error_("not implemented yet");};
-		void ConstrainMin(IssmPDouble minimum){_error_("not implemented yet");};
-		void Scale(IssmPDouble scale_factor){_error_("not implemented yet");};
-		void ArtificialNoise(IssmPDouble min,IssmPDouble max){_error_("not implemented yet");};
-		void AXPY(Input* xinput,IssmPDouble scalar){_error_("not implemented yet");};
-		void Constrain(void){_error_("not implemented yet");};
-		void Constrain(IssmPDouble min,IssmPDouble max){_error_("not implemented yet");};
-		IssmPDouble InfinityNorm(void){_error_("not implemented yet");};
-		IssmPDouble Max(void){_error_("not implemented yet");};
-		IssmPDouble MaxAbs(void){_error_("not implemented yet");};
-		IssmPDouble Min(void){_error_("not implemented yet");};
-		IssmPDouble MinAbs(void){_error_("not implemented yet");};
-		void Extrude(void){_error_("not implemented yet");};
-		void VerticallyIntegrate(Input* thickness_input){_error_("not implemented yet");};
-		void GetVectorFromInputs(Vector* vector,int* doflist){_error_("not implemented yet");};
-		void GetValuesPtr(IssmPDouble** pvalues,int* pnum_values){_error_("not implemented yet");};
-		ElementResult* SpawnGradient(int step, IssmPDouble time){_error_("not implemented yet");};
-		void GetGradient(Vector* gradient_vec,int* doflist){_error_("not implemented yet");};
-		void ScaleGradient(IssmPDouble scale){_error_("not implemented yet");};
-		void SetGradient(Input* gradient_in){_error_("not implemented yet");};
-		void UpdateValue(IssmPDouble scalar){_error_("not implemented yet");};
-		void SaveValue(void){_error_("not implemented yet");};
+		void GetInputValue(IssmPDouble* pvalue,GaussPenta* gauss ,int index){_error2_("not implemented yet");};
+		void GetInputDerivativeValue(IssmPDouble* derivativevalues, IssmPDouble* xyz_list, GaussTria* gauss){_error2_("not implemented yet");};
+		void GetInputDerivativeValue(IssmPDouble* derivativevalues, IssmPDouble* xyz_list, GaussPenta* gauss){_error2_("not implemented yet");};
+		void GetInputAverage(IssmPDouble* pvalue){_error2_("not implemented yet");};
+		void GetVxStrainRate2d(IssmPDouble* epsilonvx,IssmPDouble* xyz_list, GaussTria* gauss){_error2_("not implemented yet");};
+		void GetVyStrainRate2d(IssmPDouble* epsilonvy,IssmPDouble* xyz_list, GaussTria* gauss){_error2_("not implemented yet");};
+		void GetVxStrainRate3d(IssmPDouble* epsilonvx,IssmPDouble* xyz_list, GaussPenta* gauss){_error2_("not implemented yet");};
+		void GetVyStrainRate3d(IssmPDouble* epsilonvy,IssmPDouble* xyz_list, GaussPenta* gauss){_error2_("not implemented yet");};
+		void GetVzStrainRate3d(IssmPDouble* epsilonvz,IssmPDouble* xyz_list, GaussPenta* gauss){_error2_("not implemented yet");};
+		void GetVxStrainRate3dPattyn(IssmPDouble* epsilonvx,IssmPDouble* xyz_list, GaussPenta* gauss){_error2_("not implemented yet");};
+		void GetVyStrainRate3dPattyn(IssmPDouble* epsilonvy,IssmPDouble* xyz_list, GaussPenta* gauss){_error2_("not implemented yet");};
+		void ChangeEnum(int newenumtype){_error2_("not implemented yet");};
+		void SquareMin(IssmPDouble* psquaremin, bool process_units,Parameters* parameters){_error2_("not implemented yet");};
+		void ConstrainMin(IssmPDouble minimum){_error2_("not implemented yet");};
+		void Scale(IssmPDouble scale_factor){_error2_("not implemented yet");};
+		void ArtificialNoise(IssmPDouble min,IssmPDouble max){_error2_("not implemented yet");};
+		void AXPY(Input* xinput,IssmPDouble scalar){_error2_("not implemented yet");};
+		void Constrain(void){_error2_("not implemented yet");};
+		void Constrain(IssmPDouble min,IssmPDouble max){_error2_("not implemented yet");};
+		IssmPDouble InfinityNorm(void){_error2_("not implemented yet");};
+		IssmPDouble Max(void){_error2_("not implemented yet");};
+		IssmPDouble MaxAbs(void){_error2_("not implemented yet");};
+		IssmPDouble Min(void){_error2_("not implemented yet");};
+		IssmPDouble MinAbs(void){_error2_("not implemented yet");};
+		void Extrude(void){_error2_("not implemented yet");};
+		void VerticallyIntegrate(Input* thickness_input){_error2_("not implemented yet");};
+		void GetVectorFromInputs(Vector* vector,int* doflist){_error2_("not implemented yet");};
+		void GetValuesPtr(IssmPDouble** pvalues,int* pnum_values){_error2_("not implemented yet");};
+		ElementResult* SpawnGradient(int step, IssmPDouble time){_error2_("not implemented yet");};
+		void GetGradient(Vector* gradient_vec,int* doflist){_error2_("not implemented yet");};
+		void ScaleGradient(IssmPDouble scale){_error2_("not implemented yet");};
+		void SetGradient(Input* gradient_in){_error2_("not implemented yet");};
+		void UpdateValue(IssmPDouble scalar){_error2_("not implemented yet");};
+		void SaveValue(void){_error2_("not implemented yet");};
 		/*}}}*/
 
Index: issm/trunk-jpl/src/c/objects/Inputs/DoubleInput.h
===================================================================
--- issm/trunk-jpl/src/c/objects/Inputs/DoubleInput.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/Inputs/DoubleInput.h	(revision 12494)
@@ -40,5 +40,5 @@
 		Input* PointwiseMax(Input* inputB);
 		ElementResult* SpawnResult(int step, IssmPDouble time);
-		void AddTimeValues(IssmPDouble* values,int step,IssmPDouble time){_error_("not supported yet");};
+		void AddTimeValues(IssmPDouble* values,int step,IssmPDouble time){_error2_("not supported yet");};
 		void Configure(Parameters* parameters);
 		/*}}}*/
@@ -48,8 +48,8 @@
 		void GetInputValue(IssmPDouble* pvalue);
 		void GetInputValue(IssmPDouble* pvalue,GaussTria* gauss);
-		void GetInputValue(IssmPDouble* pvalue,GaussTria* gauss,IssmPDouble time){_error_("not implemented yet");};
+		void GetInputValue(IssmPDouble* pvalue,GaussTria* gauss,IssmPDouble time){_error2_("not implemented yet");};
 		void GetInputValue(IssmPDouble* pvalue,GaussPenta* gauss);
-		void GetInputValue(IssmPDouble* pvalue,GaussTria* gauss ,int index){_error_("not implemented yet");};
-		void GetInputValue(IssmPDouble* pvalue,GaussPenta* gauss ,int index){_error_("not implemented yet");};
+		void GetInputValue(IssmPDouble* pvalue,GaussTria* gauss ,int index){_error2_("not implemented yet");};
+		void GetInputValue(IssmPDouble* pvalue,GaussPenta* gauss ,int index){_error2_("not implemented yet");};
 		void GetInputDerivativeValue(IssmPDouble* derivativevalues, IssmPDouble* xyz_list, GaussTria* gauss);
 		void GetInputDerivativeValue(IssmPDouble* derivativevalues, IssmPDouble* xyz_list, GaussPenta* gauss);
@@ -66,13 +66,13 @@
 		void ConstrainMin(IssmPDouble minimum);
 		void Scale(IssmPDouble scale_factor);
-		void ArtificialNoise(IssmPDouble min,IssmPDouble max){_error_("not implemented yet");};
+		void ArtificialNoise(IssmPDouble min,IssmPDouble max){_error2_("not implemented yet");};
 		void AXPY(Input* xinput,IssmPDouble scalar);
 		void Constrain(IssmPDouble cm_min, IssmPDouble cm_max);
-		IssmPDouble InfinityNorm(void){_error_("not implemented yet");};
+		IssmPDouble InfinityNorm(void){_error2_("not implemented yet");};
 		IssmPDouble Max(void);
 		IssmPDouble MaxAbs(void);
 		IssmPDouble Min(void);
 		IssmPDouble MinAbs(void);
-		void Extrude(void){_error_("not supported yet");};
+		void Extrude(void){_error2_("not supported yet");};
 		void VerticallyIntegrate(Input* thickness_input);
 		void GetVectorFromInputs(Vector* vector,int* doflist);
Index: issm/trunk-jpl/src/c/objects/Inputs/IntInput.h
===================================================================
--- issm/trunk-jpl/src/c/objects/Inputs/IntInput.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/Inputs/IntInput.h	(revision 12494)
@@ -37,9 +37,9 @@
 		int   InstanceEnum();
 		Input* SpawnTriaInput(int* indices);
-		Input* PointwiseDivide(Input* inputB){_error_("not implemented yet");};
-		Input* PointwiseMin(Input* inputB){_error_("not implemented yet");};
-		Input* PointwiseMax(Input* inputB){_error_("not implemented yet");};
+		Input* PointwiseDivide(Input* inputB){_error2_("not implemented yet");};
+		Input* PointwiseMin(Input* inputB){_error2_("not implemented yet");};
+		Input* PointwiseMax(Input* inputB){_error2_("not implemented yet");};
 		ElementResult* SpawnResult(int step, IssmPDouble time);
-		void AddTimeValues(IssmPDouble* values,int step,IssmPDouble time){_error_("not supported yet");};
+		void AddTimeValues(IssmPDouble* values,int step,IssmPDouble time){_error2_("not supported yet");};
 		void Configure(Parameters* parameters);
 		/*}}}*/
@@ -49,32 +49,32 @@
 		void GetInputValue(IssmPDouble* pvalue);
 		void GetInputValue(IssmPDouble* pvalue,GaussTria* gauss);
-		void GetInputValue(IssmPDouble* pvalue,GaussTria* gauss,IssmPDouble time){_error_("not implemented yet");};
+		void GetInputValue(IssmPDouble* pvalue,GaussTria* gauss,IssmPDouble time){_error2_("not implemented yet");};
 		void GetInputValue(IssmPDouble* pvalue,GaussPenta* gauss);
-		void GetInputValue(IssmPDouble* pvalue,GaussTria* gauss ,int index){_error_("not implemented yet");};
-		void GetInputValue(IssmPDouble* pvalue,GaussPenta* gauss ,int index){_error_("not implemented yet");};
+		void GetInputValue(IssmPDouble* pvalue,GaussTria* gauss ,int index){_error2_("not implemented yet");};
+		void GetInputValue(IssmPDouble* pvalue,GaussPenta* gauss ,int index){_error2_("not implemented yet");};
 		void GetInputDerivativeValue(IssmPDouble* derivativevalues, IssmPDouble* xyz_list, GaussTria* gauss);
 		void GetInputDerivativeValue(IssmPDouble* derivativevalues, IssmPDouble* xyz_list, GaussPenta* gauss);
-		void GetInputAverage(IssmPDouble* pvalue){_error_("not implemented yet");};
-		void GetVxStrainRate2d(IssmPDouble* epsilonvx,IssmPDouble* xyz_list, GaussTria* gauss){_error_("not implemented yet");};
-		void GetVyStrainRate2d(IssmPDouble* epsilonvy,IssmPDouble* xyz_list, GaussTria* gauss){_error_("not implemented yet");};
-		void GetVxStrainRate3d(IssmPDouble* epsilonvx,IssmPDouble* xyz_list, GaussPenta* gauss){_error_("not implemented yet");};
-		void GetVyStrainRate3d(IssmPDouble* epsilonvy,IssmPDouble* xyz_list, GaussPenta* gauss){_error_("not implemented yet");};
-		void GetVzStrainRate3d(IssmPDouble* epsilonvz,IssmPDouble* xyz_list, GaussPenta* gauss){_error_("not implemented yet");};
-		void GetVxStrainRate3dPattyn(IssmPDouble* epsilonvx,IssmPDouble* xyz_list, GaussPenta* gauss){_error_("not implemented yet");};
-		void GetVyStrainRate3dPattyn(IssmPDouble* epsilonvy,IssmPDouble* xyz_list, GaussPenta* gauss){_error_("not implemented yet");};
+		void GetInputAverage(IssmPDouble* pvalue){_error2_("not implemented yet");};
+		void GetVxStrainRate2d(IssmPDouble* epsilonvx,IssmPDouble* xyz_list, GaussTria* gauss){_error2_("not implemented yet");};
+		void GetVyStrainRate2d(IssmPDouble* epsilonvy,IssmPDouble* xyz_list, GaussTria* gauss){_error2_("not implemented yet");};
+		void GetVxStrainRate3d(IssmPDouble* epsilonvx,IssmPDouble* xyz_list, GaussPenta* gauss){_error2_("not implemented yet");};
+		void GetVyStrainRate3d(IssmPDouble* epsilonvy,IssmPDouble* xyz_list, GaussPenta* gauss){_error2_("not implemented yet");};
+		void GetVzStrainRate3d(IssmPDouble* epsilonvz,IssmPDouble* xyz_list, GaussPenta* gauss){_error2_("not implemented yet");};
+		void GetVxStrainRate3dPattyn(IssmPDouble* epsilonvx,IssmPDouble* xyz_list, GaussPenta* gauss){_error2_("not implemented yet");};
+		void GetVyStrainRate3dPattyn(IssmPDouble* epsilonvy,IssmPDouble* xyz_list, GaussPenta* gauss){_error2_("not implemented yet");};
 		void ChangeEnum(int newenumtype);
 		void SquareMin(IssmPDouble* psquaremin, bool process_units,Parameters* parameters);
-		void ConstrainMin(IssmPDouble minimum){_error_("not implemented yet");};
+		void ConstrainMin(IssmPDouble minimum){_error2_("not implemented yet");};
 		void Scale(IssmPDouble scale_factor);
-		void ArtificialNoise(IssmPDouble min,IssmPDouble max){_error_("not implemented yet");};
+		void ArtificialNoise(IssmPDouble min,IssmPDouble max){_error2_("not implemented yet");};
 		void AXPY(Input* xinput,IssmPDouble scalar);
 		void Constrain(IssmPDouble cm_min, IssmPDouble cm_max);
-		IssmPDouble InfinityNorm(void){_error_("InfinityNorm not implemented for integers");};
-		IssmPDouble Max(void){_error_("Max not implemented for integers");};
-		IssmPDouble MaxAbs(void){_error_("Max not implemented for integers");};
-		IssmPDouble Min(void){_error_("Min not implemented for integers");};
-		IssmPDouble MinAbs(void){_error_("Min not implemented for integers");};
-		void Extrude(void){_error_("not supported yet");};
-		void VerticallyIntegrate(Input* thickness_input){_error_("not supported yet");};
+		IssmPDouble InfinityNorm(void){_error2_("InfinityNorm not implemented for integers");};
+		IssmPDouble Max(void){_error2_("Max not implemented for integers");};
+		IssmPDouble MaxAbs(void){_error2_("Max not implemented for integers");};
+		IssmPDouble Min(void){_error2_("Min not implemented for integers");};
+		IssmPDouble MinAbs(void){_error2_("Min not implemented for integers");};
+		void Extrude(void){_error2_("not supported yet");};
+		void VerticallyIntegrate(Input* thickness_input){_error2_("not supported yet");};
 		void GetVectorFromInputs(Vector* vector,int* doflist);
 		void GetValuesPtr(IssmPDouble** pvalues,int* pnum_values);
Index: issm/trunk-jpl/src/c/objects/Inputs/PentaP1Input.h
===================================================================
--- issm/trunk-jpl/src/c/objects/Inputs/PentaP1Input.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/Inputs/PentaP1Input.h	(revision 12494)
@@ -41,21 +41,21 @@
 		Input* PointwiseMax(Input* inputB);
 		ElementResult* SpawnResult(int step, IssmPDouble time);
-		void AddTimeValues(IssmPDouble* values,int step,IssmPDouble time){_error_("not supported yet");};
+		void AddTimeValues(IssmPDouble* values,int step,IssmPDouble time){_error2_("not supported yet");};
 		void Configure(Parameters* parameters);
 		/*}}}*/
 		/*numerics: {{{*/
-		void GetInputValue(bool* pvalue){_error_("not implemented yet");};
-		void GetInputValue(int* pvalue){_error_("not implemented yet");};
-		void GetInputValue(IssmPDouble* pvalue){_error_("not implemented yet");};
-		void GetInputValue(IssmPDouble* pvalue,GaussTria* gauss){_error_("not implemented yet");};
-		void GetInputValue(IssmPDouble* pvalue,GaussTria* gauss,IssmPDouble time){_error_("not implemented yet");};
+		void GetInputValue(bool* pvalue){_error2_("not implemented yet");};
+		void GetInputValue(int* pvalue){_error2_("not implemented yet");};
+		void GetInputValue(IssmPDouble* pvalue){_error2_("not implemented yet");};
+		void GetInputValue(IssmPDouble* pvalue,GaussTria* gauss){_error2_("not implemented yet");};
+		void GetInputValue(IssmPDouble* pvalue,GaussTria* gauss,IssmPDouble time){_error2_("not implemented yet");};
 		void GetInputValue(IssmPDouble* pvalue,GaussPenta* gauss);
-		void GetInputValue(IssmPDouble* pvalue,GaussTria* gauss ,int index){_error_("not implemented yet");};
-		void GetInputValue(IssmPDouble* pvalue,GaussPenta* gauss ,int index){_error_("not implemented yet");};
-		void GetInputDerivativeValue(IssmPDouble* derivativevalues, IssmPDouble* xyz_list, GaussTria* gauss){_error_("not implemented yet");};
+		void GetInputValue(IssmPDouble* pvalue,GaussTria* gauss ,int index){_error2_("not implemented yet");};
+		void GetInputValue(IssmPDouble* pvalue,GaussPenta* gauss ,int index){_error2_("not implemented yet");};
+		void GetInputDerivativeValue(IssmPDouble* derivativevalues, IssmPDouble* xyz_list, GaussTria* gauss){_error2_("not implemented yet");};
 		void GetInputDerivativeValue(IssmPDouble* derivativevalues, IssmPDouble* xyz_list, GaussPenta* gauss);
 		void GetInputAverage(IssmPDouble* pvalue);
-		void GetVxStrainRate2d(IssmPDouble* epsilonvx,IssmPDouble* xyz_list, GaussTria* gauss){_error_("not implemented yet");};
-		void GetVyStrainRate2d(IssmPDouble* epsilonvy,IssmPDouble* xyz_list, GaussTria* gauss){_error_("not implemented yet");};
+		void GetVxStrainRate2d(IssmPDouble* epsilonvx,IssmPDouble* xyz_list, GaussTria* gauss){_error2_("not implemented yet");};
+		void GetVyStrainRate2d(IssmPDouble* epsilonvy,IssmPDouble* xyz_list, GaussTria* gauss){_error2_("not implemented yet");};
 		void GetVxStrainRate3d(IssmPDouble* epsilonvx,IssmPDouble* xyz_list, GaussPenta* gauss);
 		void GetVyStrainRate3d(IssmPDouble* epsilonvy,IssmPDouble* xyz_list, GaussPenta* gauss);
@@ -68,5 +68,5 @@
 		void ConstrainMin(IssmPDouble minimum);
 		void Scale(IssmPDouble scale_factor);
-		void ArtificialNoise(IssmPDouble min,IssmPDouble max){_error_("not implemented yet");};
+		void ArtificialNoise(IssmPDouble min,IssmPDouble max){_error2_("not implemented yet");};
 		void AXPY(Input* xinput,IssmPDouble scalar);
 		void Constrain(IssmPDouble cm_min, IssmPDouble cm_max);
Index: issm/trunk-jpl/src/c/objects/Inputs/TransientInput.h
===================================================================
--- issm/trunk-jpl/src/c/objects/Inputs/TransientInput.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/Inputs/TransientInput.h	(revision 12494)
@@ -40,37 +40,37 @@
 		int    InstanceEnum();
 		Input* SpawnTriaInput(int* indices);
-		Input* PointwiseDivide(Input* forcingB){_error_("not implemented yet");};
-		Input* PointwiseMin(Input* forcingB){_error_("not implemented yet");};
-		Input* PointwiseMax(Input* forcingB){_error_("not implemented yet");};
+		Input* PointwiseDivide(Input* forcingB){_error2_("not implemented yet");};
+		Input* PointwiseMin(Input* forcingB){_error2_("not implemented yet");};
+		Input* PointwiseMax(Input* forcingB){_error2_("not implemented yet");};
 		ElementResult* SpawnResult(int step, IssmPDouble time);
 		void Configure(Parameters* parameters);
 		/*}}}*/
 		/*numerics: {{{*/
-		void GetInputValue(bool* pvalue){_error_("not implemented yet");};
-		void GetInputValue(int* pvalue){_error_("not implemented yet");};
-		void GetInputValue(IssmPDouble* pvalue){_error_("not implemented yet");};
+		void GetInputValue(bool* pvalue){_error2_("not implemented yet");};
+		void GetInputValue(int* pvalue){_error2_("not implemented yet");};
+		void GetInputValue(IssmPDouble* pvalue){_error2_("not implemented yet");};
 		void GetInputValue(IssmPDouble* pvalue,GaussTria* gauss);
 		void GetInputValue(IssmPDouble* pvalue,GaussTria* gauss,IssmPDouble time);
-		void GetInputValue(IssmPDouble* pvalue,GaussPenta* gauss){_error_("not implemented yet");};
-		void GetInputValue(IssmPDouble* pvalue,GaussTria* gauss ,int index){_error_("not implemented yet");};
-		void GetInputValue(IssmPDouble* pvalue,GaussPenta* gauss ,int index){_error_("not implemented yet");};
+		void GetInputValue(IssmPDouble* pvalue,GaussPenta* gauss){_error2_("not implemented yet");};
+		void GetInputValue(IssmPDouble* pvalue,GaussTria* gauss ,int index){_error2_("not implemented yet");};
+		void GetInputValue(IssmPDouble* pvalue,GaussPenta* gauss ,int index){_error2_("not implemented yet");};
 		void GetInputDerivativeValue(IssmPDouble* derivativevalues, IssmPDouble* xyz_list, GaussTria* gauss);
-		void GetInputDerivativeValue(IssmPDouble* derivativevalues, IssmPDouble* xyz_list, GaussPenta* gauss){_error_("not implemented yet");};
+		void GetInputDerivativeValue(IssmPDouble* derivativevalues, IssmPDouble* xyz_list, GaussPenta* gauss){_error2_("not implemented yet");};
 		void GetInputAverage(IssmPDouble* pvalue);
-		void GetVxStrainRate2d(IssmPDouble* epsilonvx,IssmPDouble* xyz_list, GaussTria* gauss){_error_("not implemented yet");};
-		void GetVyStrainRate2d(IssmPDouble* epsilonvy,IssmPDouble* xyz_list, GaussTria* gauss){_error_("not implemented yet");};
-		void GetVxStrainRate3d(IssmPDouble* epsilonvx,IssmPDouble* xyz_list, GaussPenta* gauss){_error_("not implemented yet");};
-		void GetVyStrainRate3d(IssmPDouble* epsilonvy,IssmPDouble* xyz_list, GaussPenta* gauss){_error_("not implemented yet");};
-		void GetVzStrainRate3d(IssmPDouble* epsilonvz,IssmPDouble* xyz_list, GaussPenta* gauss){_error_("not implemented yet");};
-		void GetVxStrainRate3dPattyn(IssmPDouble* epsilonvx,IssmPDouble* xyz_list, GaussPenta* gauss){_error_("not implemented yet");};
-		void GetVyStrainRate3dPattyn(IssmPDouble* epsilonvy,IssmPDouble* xyz_list, GaussPenta* gauss){_error_("not implemented yet");};
+		void GetVxStrainRate2d(IssmPDouble* epsilonvx,IssmPDouble* xyz_list, GaussTria* gauss){_error2_("not implemented yet");};
+		void GetVyStrainRate2d(IssmPDouble* epsilonvy,IssmPDouble* xyz_list, GaussTria* gauss){_error2_("not implemented yet");};
+		void GetVxStrainRate3d(IssmPDouble* epsilonvx,IssmPDouble* xyz_list, GaussPenta* gauss){_error2_("not implemented yet");};
+		void GetVyStrainRate3d(IssmPDouble* epsilonvy,IssmPDouble* xyz_list, GaussPenta* gauss){_error2_("not implemented yet");};
+		void GetVzStrainRate3d(IssmPDouble* epsilonvz,IssmPDouble* xyz_list, GaussPenta* gauss){_error2_("not implemented yet");};
+		void GetVxStrainRate3dPattyn(IssmPDouble* epsilonvx,IssmPDouble* xyz_list, GaussPenta* gauss){_error2_("not implemented yet");};
+		void GetVyStrainRate3dPattyn(IssmPDouble* epsilonvy,IssmPDouble* xyz_list, GaussPenta* gauss){_error2_("not implemented yet");};
 		void ChangeEnum(int newenumtype);
 
 		void SquareMin(IssmPDouble* psquaremin, bool process_units,Parameters* parameters);
-		void ConstrainMin(IssmPDouble minimum){_error_("not implemented yet");};
-		void Scale(IssmPDouble scale_factor){_error_("not implemented yet");};
-		void ArtificialNoise(IssmPDouble min,IssmPDouble max){_error_("not implemented yet");};
-		void AXPY(Input* xforcing,IssmPDouble scalar){_error_("not implemented yet");};
-		void Constrain(IssmPDouble cm_min, IssmPDouble cm_max){_error_("not implemented yet");};
+		void ConstrainMin(IssmPDouble minimum){_error2_("not implemented yet");};
+		void Scale(IssmPDouble scale_factor){_error2_("not implemented yet");};
+		void ArtificialNoise(IssmPDouble min,IssmPDouble max){_error2_("not implemented yet");};
+		void AXPY(Input* xforcing,IssmPDouble scalar){_error2_("not implemented yet");};
+		void Constrain(IssmPDouble cm_min, IssmPDouble cm_max){_error2_("not implemented yet");};
 		IssmPDouble InfinityNorm(void);
 		IssmPDouble Max(void);
@@ -78,9 +78,9 @@
 		IssmPDouble Min(void);
 		IssmPDouble MinAbs(void);
-		void Extrude(void){_error_("not supported yet");}
-		void VerticallyIntegrate(Input* thickness_forcing){_error_("not supported yet");};
+		void Extrude(void){_error2_("not supported yet");}
+		void VerticallyIntegrate(Input* thickness_forcing){_error2_("not supported yet");};
 		void GetVectorFromInputs(Vector* vector,int* doflist);
-		void GetValuesPtr(IssmPDouble** pvalues,int* pnum_values){_error_("not supported yet");};
-      void GetTimeValues(IssmPDouble* values,IssmPDouble time){_error_("not implemented yet");};
+		void GetValuesPtr(IssmPDouble** pvalues,int* pnum_values){_error2_("not supported yet");};
+      void GetTimeValues(IssmPDouble* values,IssmPDouble time){_error2_("not implemented yet");};
 		Input* GetTimeInput(IssmPDouble time);
 		/*}}}*/
Index: issm/trunk-jpl/src/c/objects/Inputs/TriaP1Input.h
===================================================================
--- issm/trunk-jpl/src/c/objects/Inputs/TriaP1Input.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/Inputs/TriaP1Input.h	(revision 12494)
@@ -37,30 +37,30 @@
 		int   InstanceEnum();
 		Input* SpawnTriaInput(int* indices);
-		Input* PointwiseDivide(Input* inputB){_error_("not implemented yet");};
+		Input* PointwiseDivide(Input* inputB){_error2_("not implemented yet");};
 		Input* PointwiseMin(Input* inputB);
 		Input* PointwiseMax(Input* inputB);
 		ElementResult* SpawnResult(int step, IssmPDouble time);
-		void AddTimeValues(IssmPDouble* values,int step,IssmPDouble time){_error_("not supported yet");};
+		void AddTimeValues(IssmPDouble* values,int step,IssmPDouble time){_error2_("not supported yet");};
 		void Configure(Parameters* parameters);
 		/*}}}*/
 		/*numerics: {{{*/
-		void GetInputValue(bool* pvalue){_error_("not implemented yet");}
-		void GetInputValue(int* pvalue){_error_("not implemented yet");}
-		void GetInputValue(IssmPDouble* pvalue){_error_("not implemented yet");}
+		void GetInputValue(bool* pvalue){_error2_("not implemented yet");}
+		void GetInputValue(int* pvalue){_error2_("not implemented yet");}
+		void GetInputValue(IssmPDouble* pvalue){_error2_("not implemented yet");}
 		void GetInputValue(IssmPDouble* pvalue,GaussTria* gauss);
-		void GetInputValue(IssmPDouble* pvalue,GaussTria* gauss,IssmPDouble time){_error_("not implemented yet");};
-		void GetInputValue(IssmPDouble* pvalue,GaussPenta* gauss){_error_("not implemented yet");};
-		void GetInputValue(IssmPDouble* pvalue,GaussTria* gauss ,int index){_error_("not implemented yet");};
-		void GetInputValue(IssmPDouble* pvalue,GaussPenta* gauss,int index){_error_("not implemented yet");};
+		void GetInputValue(IssmPDouble* pvalue,GaussTria* gauss,IssmPDouble time){_error2_("not implemented yet");};
+		void GetInputValue(IssmPDouble* pvalue,GaussPenta* gauss){_error2_("not implemented yet");};
+		void GetInputValue(IssmPDouble* pvalue,GaussTria* gauss ,int index){_error2_("not implemented yet");};
+		void GetInputValue(IssmPDouble* pvalue,GaussPenta* gauss,int index){_error2_("not implemented yet");};
 		void GetInputDerivativeValue(IssmPDouble* derivativevalues, IssmPDouble* xyz_list, GaussTria* gauss);
-		void GetInputDerivativeValue(IssmPDouble* derivativevalues, IssmPDouble* xyz_list, GaussPenta* gauss){_error_("not implemented yet");};
+		void GetInputDerivativeValue(IssmPDouble* derivativevalues, IssmPDouble* xyz_list, GaussPenta* gauss){_error2_("not implemented yet");};
 		void GetInputAverage(IssmPDouble* pvalue);
 		void GetVxStrainRate2d(IssmPDouble* epsilonvx,IssmPDouble* xyz_list, GaussTria* gauss);
 		void GetVyStrainRate2d(IssmPDouble* epsilonvy,IssmPDouble* xyz_list, GaussTria* gauss);
-		void GetVxStrainRate3d(IssmPDouble* epsilonvx,IssmPDouble* xyz_list, GaussPenta* gauss){_error_("not implemented yet");};
-		void GetVyStrainRate3d(IssmPDouble* epsilonvy,IssmPDouble* xyz_list, GaussPenta* gauss){_error_("not implemented yet");};
-		void GetVzStrainRate3d(IssmPDouble* epsilonvz,IssmPDouble* xyz_list, GaussPenta* gauss){_error_("not implemented yet");};
-		void GetVxStrainRate3dPattyn(IssmPDouble* epsilonvx,IssmPDouble* xyz_list, GaussPenta* gauss){_error_("not implemented yet");};
-		void GetVyStrainRate3dPattyn(IssmPDouble* epsilonvy,IssmPDouble* xyz_list, GaussPenta* gauss){_error_("not implemented yet");};
+		void GetVxStrainRate3d(IssmPDouble* epsilonvx,IssmPDouble* xyz_list, GaussPenta* gauss){_error2_("not implemented yet");};
+		void GetVyStrainRate3d(IssmPDouble* epsilonvy,IssmPDouble* xyz_list, GaussPenta* gauss){_error2_("not implemented yet");};
+		void GetVzStrainRate3d(IssmPDouble* epsilonvz,IssmPDouble* xyz_list, GaussPenta* gauss){_error2_("not implemented yet");};
+		void GetVxStrainRate3dPattyn(IssmPDouble* epsilonvx,IssmPDouble* xyz_list, GaussPenta* gauss){_error2_("not implemented yet");};
+		void GetVyStrainRate3dPattyn(IssmPDouble* epsilonvy,IssmPDouble* xyz_list, GaussPenta* gauss){_error2_("not implemented yet");};
 		void ChangeEnum(int newenumtype);
 
@@ -76,6 +76,6 @@
 		IssmPDouble Min(void);
 		IssmPDouble MinAbs(void);
-		void Extrude(void){_error_("not supported yet");};
-		void VerticallyIntegrate(Input* thickness_input){_error_("not supported yet");};
+		void Extrude(void){_error2_("not supported yet");};
+		void VerticallyIntegrate(Input* thickness_input){_error2_("not supported yet");};
 		void GetVectorFromInputs(Vector* vector,int* doflist);
 		void GetValuesPtr(IssmPDouble** pvalues,int* pnum_values);
